name: itk-demo-resultviewer
services:
  api:
    build: ..
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-resultviewer/itk-demo-resultviewer-api:latest
    ports:
      - 5010:5010
    network_mode: bridge
    networks:
      - deminet
    restart: unless-stopped
    extra_hosts:
      - "host.docker.internal:host-gateway"
    environment:
      - CONFIGDB_ADDRESS="http://localhost:5000"
      - API_PORT=5010
      - START_NGINX=1
      - START_API=1
    stdin_open: true
    tty: true
    labels:
      - api.host=${HOST}
      - api.url_prefix=/api
      - api.category=Microservice
      - api.health=/health
      - api.description=resultviewer backend
      - api.protocol=http

  ui:
    build: ../ui
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-resultviewer/itk-demo-resultviewer-ui:latest
    ports:
      - 5011:80
    network_mode: bridge
    networks:
      - deminet
    restart: unless-stopped
    extra_hosts:
      - "host.docker.internal:host-gateway"
    environment:
      - BACKEND_URL=http://localhost:5010
      - ETCD_HOST=http://localhost
      - ETCD_PORT=2379
      - ETCD_NAMESPACE=demi
      - API_URL_KEY=DummyKey
    labels:
      - ui.host=${HOST}
      - ui.description=UI of the resultviewer
      - ui.protocol=http
      - ui.category=Microservice-UI

networks:
  deminet:
    external: true
